All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals
Class BevelArrowIcon

    com.sas.swing.visuals.BevelArrowIcon

All Implemented Interfaces:
  javax.swing.Icon, javax.swing.SwingConstants

    public class BevelArrowIcon

implements javax.swing.Icon, javax.swing.SwingConstants

Field Summary
`static java.lang.String` | `RB_KEY`

Constructor Summary
`BevelArrowIcon()`
`BevelArrowIcon(java.awt.Color fillColor)`
`BevelArrowIcon(int direction)`
`BevelArrowIcon(int direction, boolean isRaised)`
`BevelArrowIcon(int direction, boolean isRaised, java.awt.Color fillColor)`
`BevelArrowIcon(int direction, java.awt.Color fillColor)`
`BevelArrowIcon(int direction, int size)`
`BevelArrowIcon(int direction, int size, boolean isRaised)`
`BevelArrowIcon(int direction, int size, boolean isRaised, java.awt.Color fillColor)`
`BevelArrowIcon(int direction, int size, java.awt.Color fillColor)`

Method Summary
`int` | `getDirection()`
`java.awt.Color` | `getFillColor()`
`int` | `getIconHeight()`
`int` | `getIconWidth()`
`int` | `getOriginalSize()`
`int` | `getSize()`
`boolean` | `isRaised()`
`void` | `paintIcon(java.awt.Component c, java.awt.Graphics g, int x, int y)`
`void` | `setDirection(int direction)`
`void` | `setFillColor(java.awt.Color fillColor)`
`void` | `setRaised(boolean raised)`
`void` | `setSize(int size)`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

Constructor Detail

### BevelArrowIcon

    public BevelArrowIcon()

### BevelArrowIcon

    public BevelArrowIcon(java.awt.Color fillColor)

### BevelArrowIcon

    public BevelArrowIcon(int direction)

### BevelArrowIcon

    public BevelArrowIcon(int direction,
                          java.awt.Color fillColor)

### BevelArrowIcon

    public BevelArrowIcon(int direction,
                          boolean isRaised)

### BevelArrowIcon

    public BevelArrowIcon(int direction,
                          boolean isRaised,
                          java.awt.Color fillColor)

### BevelArrowIcon

    public BevelArrowIcon(int direction,
                          int size)

### BevelArrowIcon

    public BevelArrowIcon(int direction,
                          int size,
                          java.awt.Color fillColor)

### BevelArrowIcon

    public BevelArrowIcon(int direction,
                          int size,
                          boolean isRaised)

### BevelArrowIcon

    public BevelArrowIcon(int direction,
                          int size,
                          boolean isRaised,
                          java.awt.Color fillColor)

Method Detail

### setSize

    public void setSize(int size)

### getSize

    public int getSize()

### setDirection

    public void setDirection(int direction)

### getDirection

    public int getDirection()

### setRaised

    public void setRaised(boolean raised)

### isRaised

    public boolean isRaised()

### setFillColor

    public void setFillColor(java.awt.Color fillColor)

### getFillColor

    public java.awt.Color getFillColor()

### getOriginalSize

    public int getOriginalSize()

### paintIcon

    public void paintIcon(java.awt.Component c,
                          java.awt.Graphics g,
                          int x,
                          int y)

  Specified by:
    `paintIcon` in interface `javax.swing.Icon`

### getIconWidth

    public int getIconWidth()

  Specified by:
    `getIconWidth` in interface `javax.swing.Icon`

### getIconHeight

    public int getIconHeight()

  Specified by:
    `getIconHeight` in interface `javax.swing.Icon`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.